{
  "schema_version": "1.4.0",
  "id": "GHSA-fw8f-f7xx-crfw",
  "modified": "2022-05-02T03:16:43Z",
  "published": "2022-05-02T03:16:43Z",
  "aliases": [
    "CVE-2009-0585"
  ],
  "details": "Integer overflow in the soup_base64_encode function in soup-misc.c in libsoup 2.x.x before 2.2.x, and 2.x before 2.24, allows context-dependent attackers to execute arbitrary code via a long string that is converted to a base64 representation.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0585"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2009:0344"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2009-0585"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=488026"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/49273"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9599"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-05/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://ocert.org/patches/2008-015/libsoup-CVE-2009-0585.diff"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2009/03/12/2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34310"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34337"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34401"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35065"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2009-088.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1748"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:081"
    },
    {
      "type": "WEB",
      "url": "http://www.ocert.org/advisories/ocert-2008-015.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0344.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/501712/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/34100"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-737-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-03-14T18:30:00Z"
  }
}